Bug 430128 - incorrect work with non-English characters in phone filesystem
Summary: incorrect work with non-English characters in phone filesystem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openobex   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-24 17:47 UTC by Constantin Dunayev
Modified: 2015-02-01 22:47 UTC (History)
2 users (show)

Fixed In Version: 1.3-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 08:49:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the patch, I have found (2.74 KB, patch)
2008-01-24 17:47 UTC, Constantin Dunayev
no flags Details | Diff

Description Constantin Dunayev 2008-01-24 17:47:03 UTC
Description of problem:
incorrect work with non-English characters in phone filesystem

Version-Release number of selected component (if applicable):
1.3

How reproducible:

when the phone with non-English language is mounted via obexfs, the non-English
named directories are not accessible


Steps to Reproduce:
1. obexfs -i <mountpoint>
2. cd <mountpoint>
  
Actual results:

Russian directories are not accessible

Expected results:



Additional info:
I have found some patch:
http://www.mail-archive.com/openobex-users@lists.sourceforge.net/msg00587.html

rebuilt rpms from srpm - 

and now my Sony Ericsson K700i with Russian language correctly works with obexfs

The proposition is to include this patch to rpm package

another (later) patch version:
http://www.mail-archive.com/openobex-users@lists.sourceforge.net/msg00595.html
does NOT work correctly (sometimes fusermounted filesystem is not accessible
after directory change)

Comment 1 Constantin Dunayev 2008-01-24 17:47:03 UTC
Created attachment 292829 [details]
this is the patch, I have found

Comment 2 Fedora Update System 2008-06-06 09:54:31 UTC
openobex-1.3-11.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-06-06 22:10:13 UTC
openobex-1.3-11.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openobex'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5065


Note You need to log in before you can comment on or make changes to this bug.